# Create Node App CLI

A simple Command Line Interface (CLI) tool to create a project template with a server setup using Node.js. This tool helps you scaffold a new Node.js project quickly by selecting various technologies and generating a project structure with necessary files.

## Features

- Create a new project with a specified name.
- Select from various technologies like Express.js, GraphQL, MongoDB, SQL, Prisma, TypeScript, and Nodemon.
- Initialize npm and install selected packages.
- Generate a basic project structure with directories for models and controllers.
- Create configuration files for databases based on user selection.
- Set up TypeScript configuration if TypeScript is selected.

## Prerequisites

- Node.js (version >= 14.x)
- npm (Node package manager)

## Installation

1. Clone the repository:

   ```bash
   git clone https://github.com/yourusername/create-node-app.git
   cd create-node-app
